@extends('admin.layout')

@section('content')
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-sm-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>轮播图管理</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        <div class="row">
                            <form method="GET" action="" accept-charset="UTF-8">

                                <div class="col-sm-4">
                                    <div class="input-group">
                                        <input type="text" value="{{Request::get('keyword')}}" placeholder="请输入ID/标题"
                                               name="keyword" class="input-sm form-control">
                                        <span class="input-group-btn">
									<button type="submit" class="btn btn-sm btn-primary">搜索</button>
								</span>
                                    </div>
                                </div>
                            </form>
                            @if(role('Album/Banner/create'))
                                <div class="col-sm-3 pull-right">
                                    <a href="{{ U('Album/Banner/create')}}"
                                       class="btn btn-sm btn-primary pull-right">添加</a>
                                </div>
                            @endif
                        </div>

                        <table class="table table-striped table-bordered table-hover dataTables-example dataTable">
                            <thead>
                            <tr>

                                <th class="sorting" data-sort="id">ID</th>
                                <th class="sorting" data-sort="pic_url"> 缩略图</th>
                                <th class="sorting" data-sort="title"> 标题</th>
                                <th class="sorting" data-sort="page_url">链接地址</th>
                                <th class="sorting" data-sort="sort"> 排序</th>
                                <th class="sorting" data-sort="created_at">创建时间</th>
                                <th width="22%">相关操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @if(isset($list))
                                @foreach($list as $key => $item)
                                    <tr>

                                        <td>{{ $item->id }}</td>
                                        <td><img src="{{ $item->pic_url }}" style="height: 50px"></td>
                                        <td>{{ $item->title }}</td>
                                        <td>{{ $item->page_url }}</td>
                                        <td>{{ $item->sort }}</td>
                                        <td>{{ $item->created_at }}</td>
                                        <td>
                                            <div class="pull-left">
                                                @if(role('Album/Banner/update'))
                                                    <a href="{{ U('Album/Banner/update',['id'=>$item->id])}}" class="btn btn-sm btn-warning pull-right">修改</a>
                                                @endif
                                                @if(role('Album/Banner/destroy'))
                                                    <a href="{{ U('Album/Banner/destroy',['id'=>$item->id])}}" onclick="return confirm('你确定执行删除操作？');" class="btn btn-sm btn-danger pull-right">删除</a>
                                                @endif
                                            </div>
                                            @if(role('Album/Banner/view'))
                                                <button onclick="layer.open({type: 2,area: ['80%', '90%'],content: '{{ U('Album/Banner/view',['id'=>$item->id])}}'});"
                                                        class="btn btn-primary ">查看
                                                </button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            @endif

                            </tbody>
                        </table>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="dataTables_info" id="DataTables_Table_0_info"
                                     role="alert" aria-live="polite" aria-relevant="all">每页{{ $list->count() }}
                                    条，共{{ $list->lastPage() }}页，总{{ $list->total() }}条。
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="dataTables_paginate paging_simple_numbers" id="DataTables_Table_0_paginate">
                                    {!! $list->setPath('')->appends(Request::all())->render() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection